import { ImageWithTextBlock as ImageWithTextBlockType } from "@/gql/graphql";
import Image from "../general/Image";
import styles from "./imageWithTextBlock.module.scss";

export const ImageWithTextBlock = ({
  block,
}: {
  block: ImageWithTextBlockType;
}) => {
  return (
    <figure
      className={`${styles.imageWithTextBlock} ${styles[block.imageFormat]}`}
    >
      <Image
        src={block.image.url}
        alt={block.image.alt ?? ""}
        width={block.image.width}
        height={block.image.height}
        // width={0}
        // height={0}
        // sizes="20vw"
      />
      {block.text && <figcaption>{block.text}</figcaption>}
    </figure>
  );
};
