import Link from "next/link";
import styles from "./footer.module.scss";
import { NeonChillPig } from "../general/pigs/fun/NeonChillPig";
import { ToTop } from "./ToTop";
import { LogoNeuf } from "../general/Logo";
import Icon from "../general/Icon";

export const Footer = () => {
  return (
    <footer className={styles.footer}>
      <div className={styles.social}>
        <h2 className="suphead">Følg oss</h2>
        <ul>
          <li>
            <a
              href="https://www.instagram.com/studentersamfundet/"
              target="_blank"
              className="button tertiary"
            >
              <span>Instagram</span>
              <Icon />
            </a>
          </li>
          <li>
            <a
              href="https://www.facebook.com/studentersamfundet"
              target="_blank"
              className="button tertiary"
            >
              <span>Facebook</span>
              <Icon />
            </a>
          </li>
          <li>
            <a
              href="https://www.flickr.com/groups/neuf/pool/"
              target="_blank"
              className="button tertiary"
            >
              <span>Flickr</span>
              <Icon />
            </a>
          </li>
        </ul>
      </div>
      <div className={styles.contact}>
        <h2 className="suphead">Kontakt oss</h2>
        <div className={styles.emails}>
          <div>
            Generelle henvendelser
            <br />
            <a href="/#">post@neuf.no</a>
          </div>
          <div>
            Billetter
            <br />
            <a href="/#">billetter@neuf.no</a>
          </div>
          <div>
            <Link href="/kontakt">Øvrig kontaktinfo</Link>
          </div>
        </div>
      </div>
      <div className={styles.visit}>
        <h2 className="suphead">Besøk oss</h2>
        <div className={styles.address}>
          <h2 className="suphead">Adresse</h2>
          <div>
            Det Norske Studentersamfund
            <br />
            Slemdalsveien 15
            <br />
            0369 Oslo
            <br />
            <a href="#" target="_blank">
              Vis i Google Maps
            </a>
          </div>
        </div>

        <div className={styles.openingHoursWrapper}>
          <h2 className="suphead">Åpningstider i dag</h2>
          <table className="openingHours">
            <tbody>
              <tr>
                <td>Glassbaren</td>
                <td>15:00—00:30</td>
              </tr>
              <tr>
                <td>Bokcaféen</td>
                <td>19:00—23:30</td>
              </tr>
              <tr>
                <td>Ekspedisjonen</td>
                <td>15:00—00:00</td>
              </tr>
            </tbody>
          </table>
          <Link href="/praktisk#apningstider">Se alle åpningstider</Link>
        </div>
      </div>
      <div className={styles.pig}>
        <NeonChillPig />
      </div>
      <div className={styles.toTop}>
        <ToTop />
      </div>
    </footer>
  );
};
